<template>
  <footer class="footer">
    <div class="columns is-vcentered">
      <div class="column columns is-centered is-vcentered mt-marginless-bottom">
        <div class="columns column h-space-evenly ">
          <ul class="column is-narrow">
            <li class="is-size-7"><h4 class="has-text-weight-bold">METIIS</h4></li>
            <li v-if="utilisateur" class="is-size-7">
              <a target="_blank" href="https://beta.gouv.fr/startups/metiis.html">À propos</a>
            </li>
            <li class="is-size-7"><nuxt-link :to="{ name: 'contact' }">Nous contacter</nuxt-link></li>
            <li v-if="utilisateur" class="is-size-7"><nuxt-link :to="{ name: 'evaluer' }">Nous évaluer</nuxt-link></li>
          </ul>
          <ul class="column is-narrow">
            <li class="is-size-7"><h4 class="has-text-weight-bold">Informations pratiques</h4></li>
            <li class="is-size-7"><nuxt-link :to="{ name: 'mentions-legales' }">Mentions légales</nuxt-link></li>
            <li v-if="utilisateur" class="is-size-7">
              <nuxt-link :to="{ name: 'index' }">Politique de confidentialité</nuxt-link>
            </li>
            <li class="is-size-7"><nuxt-link :to="{ name: 'accessibilite' }">Accessibilité</nuxt-link></li>
          </ul>
        </div>
      </div>
      <div class="column columns is-narrow is-vcentered">
        <img src="/logo-dirisi-developpement.png" width="75" alt="Logo DIRISI" />
        <img src="/logo-fabrique-numerique.png" width="127" alt="Logo Fabrique Numérique" />
        <img src="/logo-com-tn.png" width="50" alt="Logo COMM TN" />
      </div>
    </div>
  </footer>
</template>

<script>
import userMixin from '~/components/mixins/userMixin';

export default {
  mixins: [userMixin],
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

footer.footer {
  border-top: 1px solid #f9f9f9;
  padding: 1.875rem 6.5vw;
  background: unset;

  img {
    margin-right: 1.875rem;
  }
  ul li {
    color: $grey-dark;
    margin: 0.2rem 0;
    a {
      color: $brown-grey;
    }
    h4 {
      margin: 0.2rem 0;
    }
  }
}
.h-space-evenly {
  justify-content: space-evenly;
}
</style>
